
Redmine - Feature #3912

Add support for AND's and OR's in search

2009-09-24 02:10 - Burt Culver

Status: New Start date: 2009-09-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: Unplanned backlogs   

Resolution:    

Description

I'd like to make a search list that checks for two different phrases in the subject line.  I can't do that currently and have to have two

different lists.  Add the ability to match on "this OR that" or "this AND that".

Related issues:

Related to Redmine - Feature #7737: Add support for searching for exact words New 2011-02-28

Related to Redmine - Feature #992: Option to search open issues only Closed 2008-04-04

Related to Redmine - Feature #2865: One click filter in search view Closed 2009-02-28

History

#1 - 2009-10-16 23:56 - jason axelson

This would be nice, but in my personal opinion, I would rather see a generic text box that had support for advanced queries like this à la Google

search.

#2 - 2011-05-27 16:24 - Etienne Massip

- Target version set to Candidate for next major release

jason axelson wrote:

This would be nice, but in my personal opinion, I would rather see a generic text box that had support for advanced queries like this à la Google

search.

 Agreed.

#3 - 2011-05-28 15:02 - Terence Mill

related to #3912

Would like to see wildard search, means prefix (myserachword) search, suffix search (mysearchword), exact match search ("my search term in 

double quotes, but nothing else") and regular expressions (*. this is my number: /d+)

#4 - 2011-05-28 15:48 - Terence Mill

Terence Mill wrote:

related to #3912

 related to #8205

#5 - 2011-09-02 17:31 - Alain V.

Fully agree!

#6 - 2011-09-03 12:39 - Terence Mill

+1

#7 - 2013-02-28 18:35 - Fernando Hartmann

Related to #992
#8 - 2014-03-31 15:15 - Alain V.

As mentionned by Jason : +1

#9 - 2019-01-16 07:56 - Jaebok Oh

+1

#10 - 2019-02-12 16:21 - Go MAEDA

- Target version changed from Candidate for next major release to Unplanned backlogs

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://www.tcpdf.org

